お知らせ

--------------------------------------------------

プログラム作成/コンサルティングの申し込みはこちら

--------------------------------------------------

2013年5月22日水曜日

プロパティの確認(VLISP ActiveX)


おはようございます。

前回は、オブジェクトのプロパティを変更する方法を紹介しました。

今回は、オブジェクトのプロパティを確認する方法を紹介したいと思います。


プロパティを変更するときは vla-put-xxxx 関数を使いましたよね。
プロパティを取得するときは vla-get-xxxx 関数をつかいます。


xxxx のところは vla-put-xxxx のときと同じでプロパティ名を入れます。
で、プロパティ名にどんなものがあるかも vla-put-xxxx のときと同じで 『AutoCAD ActiveX/VBA リファレンス』 で確認できます。


前回までの復習も兼ねて、以下のようなコードで動作を確認できます。

(vl-load-com)
(setq acadObject (vlax-get-acad-object))
(setq acadDocument (vla-get-ActiveDocument acadObject))
(setq mSpace (vla-get-ModelSpace acadDocument))

; 円を作成
(setq myCircle (vla-addCircle mSpace  (vlax-3D-point 100.0 100.0 0.0)  50.0))

; 円の色を赤色に変更
(vla-put-Color myCircle acRed)

; 円の色を取得
(setq col (vla-get-Color myCircle))

(alert (strcat "円の色番号が " (itoa col) " になったよ(^^)v"))


0 件のコメント:

コメントを投稿